Package org.bukkit.block.data

# Interface Openable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Barrel`, `Door`, `Gate`, `TrapDoor`

public interface Openable extends BlockData
'open' denotes whether this block is currently opened.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isOpen()`
Gets the value of the 'open' property.
`void`
`setOpen(boolean open)`
Sets the value of the 'open' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### isOpen

boolean isOpen()
Gets the value of the 'open' property.

Returns:
  the 'open' value

### setOpen

void setOpen(boolean open)
Sets the value of the 'open' property.

Parameters:
  `open` - the new 'open' value